tasks:
  verify_targets:
    name: Verify build targets
    platform: macos
    bazel: 8.x
    build_targets:
      - '@swift-syntax//...'
    build_flags:
      - --macos_minimum_os=13.0
      - "--repo_env=BAZEL_DO_NOT_DETECT_CPP_TOOLCHAIN=1"
  verify_targets_bazel_9x:
    name: Verify build targets (Bazel 9.x)
    platform: macos
    bazel: 9.x
    build_targets:
      - '@swift-syntax//...'
    build_flags:
      - --macos_minimum_os=13.0
      - "--repo_env=BAZEL_DO_NOT_DETECT_CPP_TOOLCHAIN=1"
